xref: /titanic_41/usr/src/cmd/cmd-inet/usr.sadm/scripts/i.ipsecalgs (revision 7c478bd95313f5f23a4c958a745db2134aa03244)
1*7c478bd9Sstevel@tonic-gate#
2*7c478bd9Sstevel@tonic-gate# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
3*7c478bd9Sstevel@tonic-gate# Use is subject to license terms.
4*7c478bd9Sstevel@tonic-gate#
5*7c478bd9Sstevel@tonic-gate# CDDL HEADER START
6*7c478bd9Sstevel@tonic-gate#
7*7c478bd9Sstevel@tonic-gate# The contents of this file are subject to the terms of the
8*7c478bd9Sstevel@tonic-gate# Common Development and Distribution License, Version 1.0 only
9*7c478bd9Sstevel@tonic-gate# (the "License").  You may not use this file except in compliance
10*7c478bd9Sstevel@tonic-gate# with the License.
11*7c478bd9Sstevel@tonic-gate#
12*7c478bd9Sstevel@tonic-gate# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
13*7c478bd9Sstevel@tonic-gate# or http://www.opensolaris.org/os/licensing.
14*7c478bd9Sstevel@tonic-gate# See the License for the specific language governing permissions
15*7c478bd9Sstevel@tonic-gate# and limitations under the License.
16*7c478bd9Sstevel@tonic-gate#
17*7c478bd9Sstevel@tonic-gate# When distributing Covered Code, include this CDDL HEADER in each
18*7c478bd9Sstevel@tonic-gate# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
19*7c478bd9Sstevel@tonic-gate# If applicable, add the following below this CDDL HEADER, with the
20*7c478bd9Sstevel@tonic-gate# fields enclosed by brackets "[]" replaced with your own identifying
21*7c478bd9Sstevel@tonic-gate# information: Portions Copyright [yyyy] [name of copyright owner]
22*7c478bd9Sstevel@tonic-gate#
23*7c478bd9Sstevel@tonic-gate# CDDL HEADER END
24*7c478bd9Sstevel@tonic-gate#
25*7c478bd9Sstevel@tonic-gate# ident	"%Z%%M%	%I%	%E% SMI"
26*7c478bd9Sstevel@tonic-gate#
27*7c478bd9Sstevel@tonic-gate# Class action script for ipsecalgs class files.
28*7c478bd9Sstevel@tonic-gate#
29*7c478bd9Sstevel@tonic-gate# This script appends the input file from the package to the
30*7c478bd9Sstevel@tonic-gate# /etc/inet/ipsecalgs file.
31*7c478bd9Sstevel@tonic-gate#
32*7c478bd9Sstevel@tonic-gate
33*7c478bd9Sstevel@tonic-gatepkg_start="# Start $PKGINST"
34*7c478bd9Sstevel@tonic-gatepkg_end="# End $PKGINST"
35*7c478bd9Sstevel@tonic-gateconfile=/etc/inet/ipsecalgs
36*7c478bd9Sstevel@tonic-gatetmpfile=/tmp/$$ipsecalgs
37*7c478bd9Sstevel@tonic-gateerror=no
38*7c478bd9Sstevel@tonic-gate
39*7c478bd9Sstevel@tonic-gatewhile read src dest
40*7c478bd9Sstevel@tonic-gatedo
41*7c478bd9Sstevel@tonic-gate	[ "$src" = /dev/null ] && continue
42*7c478bd9Sstevel@tonic-gate
43*7c478bd9Sstevel@tonic-gate	if [ -f "$dest" ]
44*7c478bd9Sstevel@tonic-gate	then
45*7c478bd9Sstevel@tonic-gate		# If the package has been already installed, remove old entries
46*7c478bd9Sstevel@tonic-gate		grep "$pkg_start" $dest > /dev/null
47*7c478bd9Sstevel@tonic-gate		if [ $? -eq 0 ]
48*7c478bd9Sstevel@tonic-gate		then
49*7c478bd9Sstevel@tonic-gate			sed -e "/$pkg_start/,/$pkg_end/d" $dest > $tmpfile \
50*7c478bd9Sstevel@tonic-gate			|| error=yes
51*7c478bd9Sstevel@tonic-gate		else
52*7c478bd9Sstevel@tonic-gate			cp $dest $tmpfile || error=yes
53*7c478bd9Sstevel@tonic-gate		fi
54*7c478bd9Sstevel@tonic-gate
55*7c478bd9Sstevel@tonic-gate		# Append the delimiters and entries of this package
56*7c478bd9Sstevel@tonic-gate		echo "$pkg_start" >> $tmpfile || error=yes
57*7c478bd9Sstevel@tonic-gate		cat $src >> $tmpfile || error=yes
58*7c478bd9Sstevel@tonic-gate		echo "$pkg_end" >> $tmpfile || error=yes
59*7c478bd9Sstevel@tonic-gate
60*7c478bd9Sstevel@tonic-gate		# Install the updated config file and clean up the tmp file
61*7c478bd9Sstevel@tonic-gate                if [ "$error" = no ]
62*7c478bd9Sstevel@tonic-gate                then
63*7c478bd9Sstevel@tonic-gate			mv $tmpfile $dest || error=yes
64*7c478bd9Sstevel@tonic-gate		fi
65*7c478bd9Sstevel@tonic-gate		rm -f $tmpfile
66*7c478bd9Sstevel@tonic-gate	else
67*7c478bd9Sstevel@tonic-gate		echo "$0: ERROR - the $confile file doesn't exist."
68*7c478bd9Sstevel@tonic-gate		exit 2
69*7c478bd9Sstevel@tonic-gate	fi
70*7c478bd9Sstevel@tonic-gatedone
71*7c478bd9Sstevel@tonic-gate
72*7c478bd9Sstevel@tonic-gateif [ "$error" = yes ]
73*7c478bd9Sstevel@tonic-gatethen
74*7c478bd9Sstevel@tonic-gate	echo "$0: ERROR - failed to update the $confile file."
75*7c478bd9Sstevel@tonic-gate	exit 2
76*7c478bd9Sstevel@tonic-gatefi
77*7c478bd9Sstevel@tonic-gateexit 0
78